package com.ozs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 机车信息表
 * </p>
 *
 * @author ozs
 * @since 2023-04-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 机车编码
     */
    private String vehicleCode;

    /**
     * 机车名称
     */
    private String vehicleName;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 挂载终端ID terminal_id
     */
    private long terminalId;
}
